POD2TEXI(1)

NOM
pod2texi – Conversion de Pod en Texinfo

SYNOPSIS
  pod2texi [OPTION]... POD...

DESCRIPTION
Traduction de fichier(s) Pod en Texinfo. Deux modes de base d’opération existent. Premièrement, par défaut, chaque Pod est traduit en un manuel Texinfo autonome.

Deuxièmement, si l’option --base-level est définie à une valeur supérieure à zéro, chaque Pod est transformé en un fichier adapté à une directive @include et un fichier supplémentaire est créé avec un sommaire principal et tous les @include sont générées.

OPTIONS

--appendix-sections
    Utilisation des commandes de sectionnement d’appendice (@appendix, ...) au lieu des @-commandes de sections numérotées de Texinfo (@chapter, @section, ...).

--base-level=NUM|NOM
    Définir le niveau des commandes « head1 ». Cela peut être un entier ou une commande de sectionnement (sans le « @ ») : 1 correspond au niveau @chapter/@unnumbered, 2 au niveau @section, etc. La valeur par défaut est 0, signifiant que les commandes « head1 » produisent toujours des chapitres, mais que la sortie est sous forme de manuel autonome.

    Si le niveau est différent de 0, le fichier Pod est rendu sous forme d’une partie de manuel Texinfo adapté pour @include. Dans ce cas, le fichier Pod possède une commande supplémentaire de sectionnement couvrant le fichier en entier, un niveau au-dessus de la valeur de l’option --base-level. Par conséquent, pour faire de chaque fichier Pod un chapitre d’un grand manuel, « section » doit être utilisée comme niveau de base.

    Pour un exemple de production en Texinfo à partir d’une documentation de Perl lui-même, consultez contrib/perldoc-all dans la distribution du source de Texinfo.

--debug=NUM
    Définir le niveau de débogage à NUM.

--generate-setfilename
    Générer une ligne @setfilename pour les manuels autonomes. Cela peut être rejeté avec l’option --no-generate-setfilename et est ignoré si --base-level est différent de 0.

--headings-as-sections
    Utilisation des commandes de titres (@heading, ...) au lieu des @-commandes de sections numérotées de Texinfo (@chapter, @section, ...). Si l’option --base-level est différente de 0, la commande de sectionnement couvrant la sortie totale de fichier pour chaque fichier est une commande numérotée.

--help
    Afficher l'aide-mémoire et quitter.

--menus
    Afficher le sommaire sous forme de nœuds. S’il existe un manuel principal, le sommaire TOP sous forme de nœuds est toujours affiché puisqu’un sommaire maitre est généré. Les autres sommaires sous forme de nœuds ne sont pas affichés dans le comportement par défaut.

--outdir=NOM
    S’il existe un manuel principal avec des fichiers include (chacun correspondant à un fichier Pod d’entrée), alors les fichiers Texinfo générés sont déposés dans le répertoire NOM. Celui-ci est basé par défaut sur l’option --subdir.

--output=NOM
    Nom pour le premier manuel ou pour le manuel principal s’il existe. Le comportement par défaut est d’écrire sur la sortie standard.

--no-section-nodes
    Utilisation d’ancres pour les sections au lieu de nœuds.

--no-fill-section-gaps
    Ne pas combler les lacunes dans la structure des sections avec des fichiers @unnumbered vides. En règle générale, il est préférable de conserver intacte la hiérarchie des sections.

--preamble=CHAINE
    Insérer CHAINE comme entête standard avant le sommaire et les include. Si CHAINE est définie à « - », lire cet entête sur l’entrée standard. Cet entête est un point de départ minimal pour un document Texinfo.

--setfilename=CHAINE
    Utiliser CHAINE dans l’entête standard avant le sommaire et les include pour @setfilename pour le manuel principal, si l’option --base-level n’est pas définie à 0. Cette option est ignorée si --base-level est définie à 0. Aucun @setfilename n’est produit dans le comportement par défaut pour le manuel principal.

--subdir=NOM
    S’il existe un manuel principal avec des fichiers include (chacun correspondant à un fichier Pod d’entrée), alors ces fichiers include sont inclus à partir de NOM.

    Si l’option --outdir est définie, NOM doit en général être défini au répertoire relatif selon le manuel principal et l’argument de --outdir.

--unnumbered-sections
    Utiliser des commandes de sectionnement non numérotées (@unnumbered, ...) au lieu des @-commandes de Texinfo de sectionnement numéroté (@chapter, @section, ...).

--top=TOP
    Nom de l’élément @top pour le manuel principal. Il peut contenir du code Texinfo.

--version
    Afficher le nom et la version du logiciel et quitter.

VOIR AUSSI
Pod::Simple::Texinfo. perlpod(1). Manuel de Texinfo. Page d’accueil de Texinfo : <https://www.gnu.org/software/texinfo/>

COPYRIGHT ET LICENCE
Copyright 2012-2026 Free Software Foundation, Inc.

Ce programme est libre, vous pouvez le redistribuer ou le modifier selon les termes de la Licence Publique Générale GNU publiée par la Free Software Foundation (version 3 ou bien toute autre version ultérieure à votre convenance).

Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

AUTEUR
Patrice Dumas <bug-texinfo@gnu.org>.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.